%define __spec_install_post /usr/lib/rpm/brp-compress || :

Summary: An open source web programming language
Name: haxe
Version: 1.17
Release: 1
License: LGPL
Group: Programming/Language
Source: http://www.haxe.org/_media/%{name}-%{version}.tar.bz2
URL: http://www.haxe.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: neko >= 1.6.0
BuildPreReq: sed, ocaml >= 3.08, neko >= 1.6.0
BuildRequires: gc-devel, zlib-devel
Packager: Daichi Shinozaki <dseg@shield.jp>

%description
haXe is a high-level object-oriented programming language mainly focused on
helping programers develop Websites and Web applications. haXe has been
designed to be easily portable across several platforms. The haXe compiler
supports the following platforms :

*JavaScript
*Flash
*Neko

%prep
%setup -q 

%{__sed} -e 's/\(\tdownload();\)/(*\1*)/g' haxe/doc/install.ml >haxe/doc/install.ml.new
%{__mv} haxe/doc/install.ml.new haxe/doc/install.ml

%build
ocaml haxe/doc/install.ml
cd bin
CLASSPATH=../haxe/std
./haxe -cp $CLASSPATH ../haxe/std/tools/haxedoc/haxedoc.hxml
echo -cp $CLASSPATH >> ../haxe/std/tools/haxelib/haxelib.hxml
./haxe -cp $CLASSPATH ../haxe/std/tools/haxelib/haxelib.hxml
# haxedoc ../../flash.xml;flash ../../neko.xml;neko ../../js.xml;js

%install
rm -rf $RPM_BUILD_ROOT

mkdir -m755 -p $RPM_BUILD_ROOT%{_bindir}
mkdir -m755 -p $RPM_BUILD_ROOT%{_libdir}/%{name}
for f in bin/haxe{,lib,doc}; do
  %{__install} -m 755 $f $RPM_BUILD_ROOT%{_bindir}
done
cd haxe
cp -R std $RPM_BUILD_ROOT%{_libdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc haxe/doc/CHANGES.txt haxe/doc/LICENSE.txt
%dir %{_bindir}
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_bindir}/*
%attr(644,root,root)
%{_libdir}/%{name}/*

%changelog
* Thu Feb 14 2008 Daichi Shinozaki <dseg@shield.jp> 1.17-1
- New upstream.

* Tue Sep 4 2007 Daichi Shinozaki <dseg@shield.jp> 1.15-1
- New upstream.

* Sun Aug 26 2007 Daichi Shinozaki <dseg@shield.jp> 1.14-1
- New upstream.

* Wed Mar 21 2007 Daichi Shinozaki <dseg@shield.jp> 1.12-1
- New upstream.

* Sat Feb 24 2007 Daichi Shinozaki <dseg@shield.jp> 1.11-1
- New upstream.

* Thu Jan 4 2007 Daichi Shinozaki <dseg@shield.jp> 1.10-2
- Added dependency to neko.
- Fixed a problem: haxelib doesn't build when no previous version of haxe 
installed on that machine.

* Wed Jan 3 2007 Daichi Shinozaki <dseg@shield.jp> 1.10-1
- New upstream.

* Thu Nov 23 2006 Daichi Shinozaki <dseg@shield.jp> 1.09-1
- Initial release.
